[Corrigé 3.2.18] SQL - Searchengine

Vous avez trouvé un bug dans l'application (dernière version stable ou bêta): Décrivez le ici afin que la correction soit intégrée a la prochaine version.
Répondre
Jul_S
Gsup LEVEL 0
Messages : 1
Enregistré le : jeu. 21 oct. 2021 13:26

[Corrigé 3.2.18] SQL - Searchengine

Message par Jul_S »

Bonjour,

J'utilise la version stable 3.2.15 en pré-prod et en prod.
J'ai remarqué qu'avec les mêmes socles PHP mais avec des bases distincts (base de pré-prod étant un copié collé de la prod) je n'avais pas les mêmes résultats avec le searchengine.

J'ai creusé un peu et je vous suggère la modification suivante afin d'obtenir les résultats les plus fiables dans le fichier core/searchengine_ticket.php


Pour tous les $nbkeyword ==> else :

Code : Tout sélectionner

  $from = "tincidents
LEFT JOIN tusers ON tincidents.user=tusers.id
LEFT JOIN tstates ON tincidents.state=tstates.id
LEFT JOIN tthreads ON tincidents.id=tthreads.ticket
LEFT JOIN tsubcat ON tincidents.subcat=tsubcat.id
LEFT JOIN tcategory ON tincidents.category=tcategory.id
LEFT JOIN tassets ON tincidents.asset_id=tassets.id";
  $where="
  (
    tincidents.title LIKE '%$keyword[0]%' OR
    ...

Pour les $nbkeyword correspondant à une quantité :

Code : Tout sélectionner

  $from = "tincidents
LEFT JOIN tusers ON tincidents.user=tusers.id
LEFT JOIN tstates ON tincidents.state=tstates.id
LEFT JOIN tthreads ON tincidents.id=tthreads.ticket";
  $where="
  (
    tincidents.title LIKE '%$keyword[0]%' OR
    ...
Bon courage à vous !
Avatar du membre
Flox
Administrateur du site
Messages : 6499
Enregistré le : jeu. 21 juin 2012 19:00

Re: SQL - Searchengine

Message par Flox »

Bonjour,

merci pour votre travail, l'amélioration des jointures de la fonction de recherche sera disponible dans la prochaine version 3.2.17 de l'application.

Pourrez vous cependant préciser comment reproduire une anomalie de recherche avec les jointures actuelles via la version de démonstration ?

Cdt
GestSup: 3.2.17 | Debian: 11 | Apache: 2.4.51 MariaDB: 10.6.5| PHP: 8.0.12
Répondre